Bug 479230 - Review Request: pidgin-privacy-please - Stop spam bots for Pidgin
Review Request: pidgin-privacy-please - Stop spam bots for Pidgin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
http://code.google.com/p/pidgin-priva...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 02:04 EST by Guillaume Kulakowski
Modified: 2009-04-06 13:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-07 17:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-01-08 02:04:57 EST
pidgin privacy please is a pidgin plugin to stop spammers from annoying you. You can block messages from certain users, block messages from people who are not on your contact list, and suppress repeated authorization requests. Optionally, senders of blocked messages can be notified with an auto-reply.

SPEC :
http://www.llaumgui.com/public/rpm/SPECS/pidgin-privacy-please.spec

RPMS (i386) :
http://www.llaumgui.com/public/rpm/RPMS/fc10/i386/pidgin-privacy-please-0.5.2-1.fc10.i386.rpm
http://www.llaumgui.com/public/rpm/RPMS/fc10/i386/pidgin-privacy-please-debuginfo-0.5.2-1.fc10.i386.rpm

RPMS (x86_64) :
http://www.llaumgui.com/public/rpm/RPMS/fc10/x86_64/pidgin-privacy-please-0.5.2-1.fc10.x86_64.rpm
http://www.llaumgui.com/public/rpm/RPMS/fc10/x86_64/pidgin-privacy-please-debuginfo-0.5.2-1.fc10.x86_64.rpm

SRPMS :
http://www.llaumgui.com/public/rpm/SRPMS/fc10/pidgin-privacy-please-0.5.2-1.fc10.src.rpm

Commment :
rpmlint is silent
Comment 1 Fabian Affolter 2009-01-08 07:41:03 EST
Just some comment on your spec file

Preserving the time stamps in the %install section would be nice.
  make install DESTDIR=%{buildroot} INSTALL="install -p" if possible 

Shouldn't the URL better be http://code.google.com/p/pidgin-privacy-please/ and Source0: http://pidgin-privacy-please.googlecode.com/files/pidgin-privacy-please-0.5.2.tar.gz than pointing to freshmeat?
Comment 3 Fabian Affolter 2009-01-10 04:33:25 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: F9/i386
 [!] Rpmlint output: [1]
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint pidgin-privacy-please-0.5.2-2.fc10.src.rpm
     pidgin-privacy-please.src: E: unknown-key GPG#5d512c97
     1 packages and 0 specfiles checked; 1 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop024 i386]$ rpmlint pidgin-privacy-please*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: 9db291fab302a189fef27c9922f9432a
     Build source:    9db291fab302a189fef27c9922f9432a
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [x] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1043532
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

[1] Packages must not be sign with your own key.  Please fix this before import.

Beside that I see no further blocker, package APPROVED
Comment 4 Fabian Affolter 2009-01-10 08:46:17 EST
Sorry, my review is only informal.  Reset the flag and assignee.  I'm not a sponsor.
Comment 5 Christoph Wickert 2009-01-10 09:33:23 EST
(In reply to comment #4)
> Sorry, my review is only informal.  Reset the flag and assignee.  I'm not a
> sponsor.

Fabian, your review is perfectly valid. You only need to be a reviewer and not a sponsor. Resetting your previous changes and APPROVE the package again.

Guillaume, please add a blank line between every changelog entry and follow Fabians suggestions. Summing it all up the spec looks nice and clean. Good work!
Comment 7 Christoph Wickert 2009-01-10 09:55:19 EST
(In reply to comment #3)
> [1] Packages must not be sign with your own key.  Please fix this before
> import.

No need to fix this, it's ok. The buildsys will build new srpms anyway, so you can ignore this rpmlint warning.

(In reply to comment #6)
> It's OK (I haven't increment release just for blank line) :

No need for this ether, the package was already approved by Fabian.
Comment 8 Fabian Affolter 2009-01-11 19:11:55 EST
Guillaume, as soon as you are sponsored, please go on with the cvs procedure.

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 9 Christoph Wickert 2009-01-11 19:57:17 EST
Aurelien will sponsor Guillaume as soon as I approve bug # 459535.

BTW: Fabian, generally speaking you are right: Because Guillaume is a new contributor, the review needs to be done by a sponsor. Nevertheless your review is very good, I have re-checked most of the points and the other review is nearly finished, so I don't see a problem here.
Comment 10 Guillaume Kulakowski 2009-01-22 13:37:38 EST
New Package CVS Request
=======================
Package Name: pidgin-privacy-please
Short Description: Security and Privacy plugin for Pidgin
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 11 Guillaume Kulakowski 2009-01-22 13:40:12 EST
New Package CVS Request
=======================
Package Name: pidgin-privacy-please
Short Description: Security and Privacy plugin for Pidgin
Owners: llaumgui
Branches: F-9 F-10 EL-5
InitialCC:
Comment 12 Kevin Fenzi 2009-01-24 20:58:59 EST
I can't process this yet, until bug 481365 is cleared up. 
Can you reset the fedora-cvs when that bug is taken care of?
Comment 13 Guillaume Kulakowski 2009-01-26 13:54:49 EST
My bubzilla account problem is solved. I have the permission on the good account
Comment 14 Guillaume Kulakowski 2009-01-26 13:57:47 EST
New Package CVS Request
=======================
Package Name: pidgin-privacy-please
Short Description: Security and Privacy plugin for Pidgin
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 15 Kevin Fenzi 2009-01-26 17:46:51 EST
cvs done.
Comment 16 Fedora Update System 2009-01-29 18:05:03 EST
pidgin-privacy-please-0.5.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-privacy-please'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1118
Comment 17 Fedora Update System 2009-01-29 18:12:06 EST
pidgin-privacy-please-0.5.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pidgin-privacy-please'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1188
Comment 18 Fedora Update System 2009-02-07 17:20:10 EST
pidgin-privacy-please-0.5.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-02-07 17:23:01 EST
pidgin-privacy-please-0.5.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.